fw_cdev_send_request Struct Reference

`#include <dc1394/juju/firewire-cdev.h>`

## Detailed Description

struct fw_cdev_send_request - Send an asynchronous request packet @tcode: Transaction code of the request @length: Length of outgoing payload, in bytes @offset: 48-bit offset at destination node @closure: Passed back to userspace in the response event @data: Userspace pointer to payload @generation: The bus generation where packet is valid

Send a request to the device. This ioctl implements all outgoing requests. Both quadlet and block request specify the payload as a pointer to the data in the @data field. Once the transaction completes, the kernel writes an &fw_cdev_event_response event back. The @closure field is passed back to user space in the response event.

The documentation for this struct was generated from the following file:

- dc1394/juju/firewire-cdev.h